For the complete documentation index, see llms.txt. This page is also available as Markdown.

Logs

Get Step Logs

get

Get log entries for a step.

Args: step_id: ID of the step for which to get the logs. source: The source of the logs to get. logs_id: The ID of the logs to get.

Returns: List of log entries.

Raises: ValueError: If both source and logs_id are provided. KeyError: If no logs are available for this step.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
step_idstring · uuidRequired
Query parameters
sourceany ofOptional
stringOptional
or
nullOptional
logs_idany ofOptional
string · uuidOptional
or
nullOptional
Responses
200

Successful Response

application/json

A structured log entry with parsed information.

This is used in two distinct ways: 1. If we are using the artifact log store, we save the entries as JSON-serialized LogEntry's in the artifact store. 2. When queried, the server returns logs as a list of LogEntry's.

messagestringRequired

The log message content

nameany ofOptional

The name of the logger

stringOptional
or
nullOptional
levelany ofOptional

The log level

integer · enumOptional

Enum for logging levels.

Possible values:
or
nullOptional
timestampany ofOptional

When the log was created

string · date-timeOptional
or
nullOptional
moduleany ofOptional

The module that generated this log entry

stringOptional
or
nullOptional
filenameany ofOptional

The name of the file that generated this log entry

stringOptional
or
nullOptional
linenoany ofOptional

The fileno that generated this log entry

integerOptional
or
nullOptional
chunk_indexintegerOptional

The index of the chunk in the log entry

Default: 0
total_chunksintegerOptional

The total number of chunks in the log entry

Default: 1
idstring · uuidOptional

The unique identifier of the log entry

get
/api/v1/steps/{step_id}/logs
ZenML Scarf

Last updated

Was this helpful?